Bug 998878 (CVE-2013-4254)

Summary: CVE-2013-4254 Kernel: ARM: perf: NULL pointer dereference in validate_event
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: agordeev, anton, aquini, bhu, davej, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, jkurik, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, matt, mcressma, mr.marcelo.barbosa, plougher, rt-maint, rvrbovsk, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20130805,reported=20130814,source=oss-security,cvss2=7.2/AV:L/AC:L/Au:N/C:C/I:C/A:C,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,rhel-7/kernel=notaffected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=affected,cwe=CWE-476[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-10 02:52:23 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 998881    
Bug Blocks: 998854    

Description Prasad J Pandit 2013-08-20 05:34:20 EDT
Linux kernel built for the ARM(CONFIG_ARM/CONFIG_ARM64) platforms along with the
hardware performance counter support(CONFIG_HW_PERF_EVENTS) is vulnerable to a
NULL pointer dereference flaw. This could lead to the kernel crash resulting in
DoS or potential privilege escalation to gain root privileges by a non-root user.

An unprivileged user/program could use this flaw to crash the kernel resulting
in DoS or potential privilege escalation to gain root access to a machine.

Upstream fix:
-------------
 -> https://lkml.org/lkml/2013/8/7/259

Reference:
----------
 -> http://seclists.org/oss-sec/2013/q3/381
Comment 1 Prasad J Pandit 2013-08-20 05:37:08 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.
Comment 2 Prasad J Pandit 2013-08-20 05:43:31 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 998881]
Comment 4 Fedora Update System 2013-08-22 20:31:57 EDT
kernel-3.10.9-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-08-22 20:44:09 EDT
kernel-3.10.9-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.